#include <touchgfx/hal/Types.hpp>

FONT_LOCATION_FLASH_PRAGMA
KEEP extern const uint8_t unicodes_Asap_Regular_18_4bpp[] FONT_LOCATION_FLASH_ATTRIBUTE =
{
    // Unicode: [0x0020, space]
    // (Has no glyph data)
    // Unicode: [0x0041, A]
    0x00, 0x00, 0xF7, 0x08, 0x00, 0x00, 0x00, 0xE0, 0xEF, 0x00, 0x00, 0x00, 0x30, 0x8F, 0x4F, 0x00,
    0x00, 0x00, 0xE9, 0xE0, 0x09, 0x00, 0x00, 0xE0, 0x08, 0xF9, 0x00, 0x00, 0x40, 0x2F, 0x30, 0x5F,
    0x00, 0x00, 0xDA, 0x00, 0xD0, 0x0A, 0x00, 0xF0, 0x28, 0x22, 0xF9, 0x00, 0x50, 0xFF, 0xFF, 0xFF,
    0x6F, 0x00, 0xCB, 0x55, 0x55, 0xD5, 0x0B, 0xF1, 0x07, 0x00, 0x00, 0xF8, 0x61, 0x2F, 0x00, 0x00,
    0x20, 0x6F, 0xCA, 0x00, 0x00, 0x00, 0xD0, 0x0B,
    // Unicode: [0x0042, B]
    0xF3, 0xFF, 0xDF, 0x19, 0x00, 0xF4, 0x79, 0x97, 0xEF, 0x01, 0xF4, 0x05, 0x00, 0xF6, 0x06, 0xF4,
    0x05, 0x00, 0xF2, 0x08, 0xF4, 0x05, 0x00, 0xF5, 0x05, 0xF4, 0x26, 0x62, 0xBE, 0x00, 0xF4, 0xFF,
    0xFF, 0x2E, 0x00, 0xF4, 0x58, 0x65, 0xFC, 0x04, 0xF4, 0x05, 0x00, 0xC0, 0x0E, 0xF4, 0x05, 0x00,
    0x90, 0x0F, 0xF4, 0x05, 0x00, 0xD0, 0x0E, 0xF4, 0x79, 0x87, 0xFD, 0x07, 0xF3, 0xFF, 0xEF, 0x5B,
    0x00,
    // Unicode: [0x0046, F]
    0xF3, 0xFF, 0xFF, 0x4F, 0xF4, 0x79, 0x77, 0x16, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00,
    0xF4, 0x05, 0x00, 0x00, 0xF4, 0x26, 0x22, 0x01, 0xF4, 0xFF, 0xFF, 0x0F, 0xF4, 0x58, 0x55, 0x04,
    0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00,
    0xF3, 0x04, 0x00, 0x00,
    // Unicode: [0x0047, G]
    0x00, 0x92, 0xFD, 0xCF, 0x08, 0x50, 0xEF, 0x79, 0xB8, 0x2F, 0xF1, 0x1C, 0x00, 0x00, 0x00, 0xF8,
    0x03, 0x00, 0x00, 0x00, 0xDC, 0x00, 0x00, 0x00, 0x00, 0xBE, 0x00, 0x00, 0x22, 0x02, 0xAF, 0x00,
    0x60, 0xFF, 0x9F, 0xBE, 0x00, 0x10, 0x55, 0x9F, 0xEC, 0x00, 0x00, 0x00, 0x9F, 0xF9, 0x03, 0x00,
    0x00, 0x9F, 0xF2, 0x1D, 0x00, 0x00, 0x9F, 0x70, 0xEF, 0x79, 0x97, 0x9F, 0x00, 0xB4, 0xFE, 0xDF,
    0x1A,
    // Unicode: [0x004C, L]
    0xF3, 0x04, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00,
    0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00,
    0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x05, 0x00, 0x00, 0xF4, 0x79, 0x77, 0x37,
    0xF3, 0xFF, 0xFF, 0x9F,
    // Unicode: [0x004F, O]
    0x00, 0xA3, 0xFE, 0xBE, 0x04, 0x00, 0x60, 0xEF, 0x79, 0xE8, 0x8F, 0x00, 0xF2, 0x1D, 0x00, 0x00,
    0xFB, 0x04, 0xF8, 0x03, 0x00, 0x00, 0xF1, 0x0B, 0xDC, 0x00, 0x00, 0x00, 0xB0, 0x0E, 0xBE, 0x00,
    0x00, 0x00, 0x80, 0x1F, 0xAF, 0x00, 0x00, 0x00, 0x80, 0x1F, 0xBE, 0x00, 0x00, 0x00, 0x90, 0x0F,
    0xEC, 0x00, 0x00, 0x00, 0xB0, 0x0E, 0xF8, 0x03, 0x00, 0x00, 0xF1, 0x0A, 0xF2, 0x1D, 0x00, 0x00,
    0xFB, 0x03, 0x50, 0xEF, 0x79, 0xE8, 0x8F, 0x00, 0x00, 0xA3, 0xFE, 0xBE, 0x04, 0x00,
    // Unicode: [0x0053, S]
    0x00, 0xC5, 0xFF, 0x4B, 0x00, 0xF7, 0x7C, 0xD8, 0x0A, 0xF0, 0x0C, 0x00, 0x00, 0x00, 0x9F, 0x00,
    0x00, 0x00, 0xD0, 0x2E, 0x00, 0x00, 0x00, 0xF4, 0xAF, 0x03, 0x00, 0x00, 0xA2, 0xFF, 0x1B, 0x00,
    0x00, 0x10, 0xF8, 0x0D, 0x00, 0x00, 0x00, 0xF8, 0x04, 0x00, 0x00, 0x40, 0x5F, 0x20, 0x00, 0x00,
    0xF9, 0x33, 0xCF, 0x79, 0xFB, 0x0C, 0x60, 0xEB, 0xDF, 0x08, 0x00,
    // Unicode: [0x0054, T]
    0xF9, 0xFF, 0xFF, 0xFF, 0x7F, 0x73, 0x77, 0xDE, 0x77, 0x27, 0x00, 0x00, 0xCD, 0x00, 0x00, 0x00,
    0x00, 0xCD, 0x00, 0x00, 0x00, 0x00, 0xCD, 0x00, 0x00, 0x00, 0x00, 0xCD, 0x00, 0x00, 0x00, 0x00,
    0xCD, 0x00, 0x00, 0x00, 0x00, 0xCD, 0x00, 0x00, 0x00, 0x00, 0xCD, 0x00, 0x00, 0x00, 0x00, 0xCD,
    0x00, 0x00, 0x00, 0x00, 0xCD, 0x00, 0x00, 0x00, 0x00, 0xCD, 0x00, 0x00, 0x00, 0x00, 0xBC, 0x00,
    0x00,
    // Unicode: [0x0058, X]
    0xF1, 0x0B, 0x00, 0x00, 0xF9, 0x01, 0xF8, 0x06, 0x00, 0xF5, 0x08, 0x00, 0xFD, 0x01, 0xE1, 0x0D,
    0x00, 0x30, 0xBF, 0xA0, 0x3F, 0x00, 0x00, 0x90, 0xAF, 0x8F, 0x00, 0x00, 0x00, 0xE0, 0xDF, 0x00,
    0x00, 0x00, 0x00, 0xFA, 0x0B, 0x00, 0x00, 0x00, 0xF4, 0xFE, 0x05, 0x00, 0x00, 0xE1, 0x1D, 0xEE,
    0x01, 0x00, 0xA0, 0x3F, 0x50, 0xAF, 0x00, 0x40, 0x9F, 0x00, 0xA0, 0x4F, 0x00, 0xDE, 0x00, 0x00,
    0xE1, 0x0E, 0xF7, 0x04, 0x00, 0x00, 0xF5, 0x07,
    // Unicode: [0x0061, a]
    0x10, 0xD9, 0xEF, 0x2B, 0x00, 0xE6, 0x69, 0xD7, 0x0E, 0x00, 0x00, 0x00, 0xF4, 0x04, 0x00, 0x00,
    0x30, 0x6F, 0x00, 0xD6, 0xFF, 0xFF, 0x06, 0xF9, 0x5B, 0x54, 0x6F, 0xF0, 0x0B, 0x00, 0xF2, 0x16,
    0x8F, 0x00, 0x50, 0x6F, 0xD0, 0x6E, 0x95, 0xFE, 0x06, 0xB2, 0xFE, 0x2A, 0x7C,
    // Unicode: [0x0062, b]
    0xF6, 0x00, 0x00, 0x00, 0x70, 0x0F, 0x00, 0x00, 0x00, 0xF7, 0x00, 0x00, 0x00, 0x70, 0x0F, 0x00,
    0x00, 0x00, 0xF7, 0xC5, 0xDF, 0x06, 0x70, 0xEF, 0x78, 0xFC, 0x05, 0xF7, 0x01, 0x00, 0xDD, 0x70,
    0x0F, 0x00, 0x70, 0x2F, 0xF7, 0x00, 0x00, 0xF5, 0x73, 0x0F, 0x00, 0x50, 0x3F, 0xF7, 0x00, 0x00,
    0xF8, 0x71, 0x4F, 0x00, 0xD0, 0x0D, 0xF7, 0x9E, 0xC6, 0x5F, 0x60, 0x2A, 0xFB, 0x6E, 0x00,
    // Unicode: [0x0063, c]
    0x00, 0xA2, 0xFE, 0x7D, 0x00, 0xF2, 0x7E, 0x96, 0x09, 0xA0, 0x2F, 0x00, 0x00, 0x00, 0xBE, 0x00,
    0x00, 0x00, 0xF0, 0x09, 0x00, 0x00, 0x00, 0x9F, 0x00, 0x00, 0x00, 0xE0, 0x0B, 0x00, 0x00, 0x00,
    0xFA, 0x01, 0x00, 0x00, 0x30, 0xEF, 0x68, 0xC8, 0x00, 0x30, 0xEB, 0xEF, 0x09,
    // Unicode: [0x0064, d]
    0x00, 0x00, 0x00, 0xC0, 0x09, 0x00, 0x00, 0x00, 0xAD, 0x00, 0x00, 0x00, 0xD0, 0x0A, 0x00, 0x00,
    0x00, 0xAD, 0x00, 0xC4, 0xDF, 0xD6, 0x0A, 0xF3, 0x7D, 0xD8, 0xAF, 0xA0, 0x1F, 0x00, 0xD0, 0x0A,
    0xAE, 0x00, 0x00, 0xAD, 0xF0, 0x08, 0x00, 0xD0, 0x0A, 0x9F, 0x00, 0x00, 0xAD, 0xE0, 0x0B, 0x00,
    0xD0, 0x0A, 0xF9, 0x01, 0x20, 0xAE, 0x20, 0xDF, 0x87, 0xEE, 0x0B, 0x40, 0xFD, 0x5C, 0xC7,
    // Unicode: [0x0065, e]
    0x00, 0xB2, 0xFE, 0x4C, 0x00, 0xF2, 0x7D, 0xC6, 0x2F, 0x90, 0x1F, 0x00, 0xF0, 0x09, 0xBD, 0x11,
    0x11, 0xCC, 0xF0, 0xFF, 0xFF, 0xFF, 0x0D, 0xCF, 0x44, 0x44, 0x24, 0xE0, 0x0D, 0x00, 0x00, 0x00,
    0xFA, 0x03, 0x00, 0x00, 0x20, 0xFF, 0x68, 0xE8, 0x08, 0x30, 0xEB, 0xEF, 0x19,
    // Unicode: [0x0067, g]
    0x00, 0xC4, 0xFF, 0xFF, 0x6F, 0x40, 0xCF, 0x98, 0xFE, 0x27, 0xA0, 0x0E, 0x00, 0xF4, 0x05, 0xB0,
    0x0D, 0x00, 0xF3, 0x05, 0x70, 0x7F, 0x32, 0xFB, 0x02, 0x00, 0xFA, 0xFF, 0x5E, 0x00, 0x20, 0x9E,
    0x34, 0x00, 0x00, 0x70, 0x8F, 0x02, 0x00, 0x00, 0x20, 0xFE, 0xFF, 0x7C, 0x00, 0x40, 0xBD, 0xB8,
    0xFF, 0x0B, 0xF2, 0x08, 0x00, 0xA0, 0x1F, 0xF5, 0x04, 0x00, 0x90, 0x1F, 0xF2, 0x8E, 0x76, 0xFB,
    0x09, 0x40, 0xEB, 0xEF, 0x5C, 0x00,
    // Unicode: [0x0068, h]
    0xF4, 0x02, 0x00, 0x00, 0xF5, 0x02, 0x00, 0x00, 0xF5, 0x02, 0x00, 0x00, 0xF5, 0x02, 0x00, 0x00,
    0xF5, 0xA4, 0xEF, 0x08, 0xF5, 0x9F, 0xB6, 0x7F, 0xF5, 0x05, 0x00, 0xBE, 0xF5, 0x02, 0x00, 0xCB,
    0xF5, 0x02, 0x00, 0xCB, 0xF5, 0x02, 0x00, 0xCB, 0xF5, 0x02, 0x00, 0xCB, 0xF5, 0x02, 0x00, 0xCB,
    0xF5, 0x02, 0x00, 0xCB, 0xF4, 0x02, 0x00, 0xBA,
    // Unicode: [0x0069, i]
    0xF5, 0x52, 0x2E, 0x00, 0x00, 0x00, 0xF4, 0x51, 0x2F, 0xF5, 0x52, 0x2F, 0xF5, 0x52, 0x2F, 0xF5,
    0x52, 0x2F, 0xF5, 0x42, 0x1F,
    // Unicode: [0x006C, l]
    0xE7, 0x00, 0x80, 0x0F, 0x00, 0xF8, 0x00, 0x80, 0x0F, 0x00, 0xF8, 0x00, 0x80, 0x0F, 0x00, 0xF8,
    0x00, 0x80, 0x0F, 0x00, 0xF8, 0x00, 0x80, 0x0F, 0x00, 0xF8, 0x00, 0x80, 0x0F, 0x00, 0xF5, 0x59,
    0x00, 0xF9, 0x0E,
    // Unicode: [0x006D, m]
    0xB9, 0xC4, 0xEF, 0x07, 0xE9, 0xAF, 0x81, 0xEF, 0x46, 0xFB, 0x9D, 0x74, 0x9F, 0xF7, 0x02, 0x20,
    0x9F, 0x00, 0xB0, 0x7D, 0x0F, 0x00, 0xF0, 0x07, 0x00, 0xE9, 0xF7, 0x00, 0x00, 0x7F, 0x00, 0x90,
    0x7E, 0x0F, 0x00, 0xF0, 0x07, 0x00, 0xE9, 0xF7, 0x00, 0x00, 0x7F, 0x00, 0x90, 0x7E, 0x0F, 0x00,
    0xF0, 0x07, 0x00, 0xE9, 0xF7, 0x00, 0x00, 0x7F, 0x00, 0x90, 0x6E, 0x0F, 0x00, 0xE0, 0x06, 0x00,
    0xD8,
    // Unicode: [0x006E, n]
    0xB8, 0xC3, 0xDF, 0x06, 0xF8, 0x6E, 0xA4, 0x4F, 0xF7, 0x03, 0x00, 0x9F, 0xF7, 0x01, 0x00, 0xAD,
    0xF7, 0x01, 0x00, 0xAD, 0xF7, 0x01, 0x00, 0xAD, 0xF7, 0x01, 0x00, 0xAD, 0xF7, 0x01, 0x00, 0xAD,
    0xF7, 0x01, 0x00, 0xAD, 0xF6, 0x00, 0x00, 0x9C,
    // Unicode: [0x006F, o]
    0x00, 0xA2, 0xFE, 0x4C, 0x00, 0x10, 0xEE, 0x77, 0xFC, 0x04, 0x90, 0x2F, 0x00, 0xD0, 0x0D, 0xD0,
    0x0B, 0x00, 0x70, 0x1F, 0xF0, 0x0A, 0x00, 0x50, 0x3F, 0xF0, 0x09, 0x00, 0x50, 0x3F, 0xE0, 0x0B,
    0x00, 0x70, 0x1F, 0x90, 0x1F, 0x00, 0xD0, 0x0D, 0x20, 0xEF, 0x67, 0xFC, 0x05, 0x00, 0xB2, 0xFF,
    0x5C, 0x00,
    // Unicode: [0x0070, p]
    0xB8, 0xB3, 0xEF, 0x06, 0x80, 0xEF, 0x47, 0xF9, 0x05, 0xF7, 0x03, 0x00, 0xDC, 0x70, 0x1F, 0x00,
    0x70, 0x1F, 0xF7, 0x01, 0x00, 0xF5, 0x73, 0x1F, 0x00, 0x50, 0x4F, 0xF7, 0x01, 0x00, 0xF7, 0x72,
    0x1F, 0x00, 0xD0, 0x0E, 0xF7, 0x8E, 0xC7, 0x6F, 0x70, 0x5F, 0xFC, 0x6D, 0x00, 0xF7, 0x01, 0x00,
    0x00, 0x70, 0x1F, 0x00, 0x00, 0x00, 0xF7, 0x01, 0x00, 0x00, 0x60, 0x0F, 0x00, 0x00, 0x00,
    // Unicode: [0x0072, r]
    0xC7, 0xD4, 0x1E, 0xF7, 0xAF, 0x09, 0xF6, 0x04, 0x00, 0xF6, 0x02, 0x00, 0xF6, 0x02, 0x00, 0xF6,
    0x02, 0x00, 0xF6, 0x02, 0x00, 0xF6, 0x02, 0x00, 0xF6, 0x02, 0x00, 0xF5, 0x01, 0x00,
    // Unicode: [0x0073, s]
    0x10, 0xFB, 0xBF, 0x01, 0xEC, 0x67, 0x0A, 0xF1, 0x07, 0x00, 0x00, 0xDF, 0x03, 0x00, 0x50, 0xFE,
    0x5D, 0x00, 0x00, 0xC5, 0x5F, 0x00, 0x00, 0xE0, 0x0A, 0x00, 0x00, 0x9E, 0xE3, 0x68, 0xFA, 0x14,
    0xE9, 0xDF, 0x05,
    // Unicode: [0x0074, t]
    0x00, 0x25, 0x00, 0x00, 0x7E, 0x00, 0x00, 0x7F, 0x00, 0xF4, 0xFF, 0x4F, 0x61, 0xAF, 0x15, 0x10,
    0x7F, 0x00, 0x10, 0x7F, 0x00, 0x10, 0x7F, 0x00, 0x10, 0x7F, 0x00, 0x10, 0x7F, 0x00, 0x00, 0x7F,
    0x00, 0x00, 0xDE, 0x26, 0x00, 0xD4, 0x6F,
    // Unicode: [0x0075, u]
    0xC9, 0x00, 0x00, 0x6E, 0xDA, 0x00, 0x00, 0x7F, 0xDA, 0x00, 0x00, 0x7F, 0xDA, 0x00, 0x00, 0x7F,
    0xDA, 0x00, 0x00, 0x7F, 0xDA, 0x00, 0x00, 0x7F, 0xDA, 0x00, 0x00, 0x7F, 0xF9, 0x00, 0x30, 0x7F,
    0xF4, 0x5B, 0xE7, 0x8F, 0x60, 0xFD, 0x3C, 0x9B,
    // Unicode: [0x0076, v]
    0xF8, 0x01, 0x00, 0xF3, 0x43, 0x6F, 0x00, 0x80, 0x0F, 0xE0, 0x0B, 0x00, 0xBD, 0x00, 0xFA, 0x00,
    0xF2, 0x05, 0x50, 0x5F, 0x70, 0x1F, 0x00, 0xF0, 0x0A, 0xBC, 0x00, 0x00, 0xEB, 0xF2, 0x06, 0x00,
    0x50, 0xBF, 0x1F, 0x00, 0x00, 0xF1, 0xCF, 0x00, 0x00, 0x00, 0xFB, 0x06, 0x00,
    // Unicode: [0x0079, y]
    0xE8, 0x01, 0x00, 0xF3, 0x43, 0x6F, 0x00, 0x90, 0x0E, 0xE0, 0x0B, 0x00, 0x9E, 0x00, 0xF9, 0x01,
    0xF4, 0x03, 0x30, 0x7F, 0xA0, 0x0D, 0x00, 0xE0, 0x0C, 0x8F, 0x00, 0x00, 0xF8, 0xF8, 0x02, 0x00,
    0x20, 0xFF, 0x0C, 0x00, 0x00, 0xD0, 0x7F, 0x00, 0x00, 0x00, 0xF9, 0x01, 0x00, 0x00, 0xD0, 0x0B,
    0x00, 0x00, 0x30, 0x6F, 0x00, 0x00, 0x00, 0xFA, 0x00, 0x00, 0x00, 0xE0, 0x09, 0x00, 0x00
};
